/*
 * Copyright (C) 2024 Das Land Schleswig-Holstein vertreten durch den
 * Ministerpräsidenten des Landes Schleswig-Holstein
 * Staatskanzlei
 * Abteilung Digitalisierung und zentrales IT-Management der Landesregierung
 *
 * Lizenziert unter der EUPL, Version 1.2 oder - sobald
 * diese von der Europäischen Kommission genehmigt wurden -
 * Folgeversionen der EUPL ("Lizenz");
 * Sie dürfen dieses Werk ausschließlich gemäß
 * dieser Lizenz nutzen.
 * Eine Kopie der Lizenz finden Sie hier:
 *
 * https://joinup.ec.europa.eu/collection/eupl/eupl-text-eupl-12
 *
 * Sofern nicht durch anwendbare Rechtsvorschriften
 * gefordert oder in schriftlicher Form vereinbart, wird
 * die unter der Lizenz verbreitete Software "so wie sie
 * ist", OHNE JEGLICHE GEWÄHRLEISTUNG ODER BEDINGUNGEN -
 * ausdrücklich oder stillschweigend - verbreitet.
 * Die sprachspezifischen Genehmigungen und Beschränkungen
 * unter der Lizenz sind dem Lizenztext zu entnehmen.
 */
package de.ozgcloud.operator.keycloak.realm;

import de.ozgcloud.operator.keycloak.realm.OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer;

public class KeycloakRealmSmtpServerTestFactory {

	public final static String SMTP_SERVER_PORT = "432";
	public final static String SMTP_SERVER_HOST = "host";
	public final static String SMTP_SERVER_FROM = "test@test.de";
	public final static String SMTP_SERVER_FROM_DISPLAY_NAME = "displayed name";
	public final static String SMTP_SERVER_USER = "user";
	public final static String SMTP_SERVER_PASSWORD = "psw";
	public final static String SMTP_SERVER_AUTH = "true";
	public final static String SMTP_SERVER_STARTTLS = "true";

	public static OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer create() {
		return createBuilder().build();
	}

	public static OzgCloudKeycloakRealmSpec.KeycloakRealmSMTPServer.KeycloakRealmSMTPServerBuilder createBuilder() {
		return KeycloakRealmSMTPServer.builder()
				.host(SMTP_SERVER_HOST)
				.user(SMTP_SERVER_USER)
				.password(SMTP_SERVER_PASSWORD)
				.port(SMTP_SERVER_PORT)
				.starttls(SMTP_SERVER_STARTTLS)
				.auth(SMTP_SERVER_AUTH)
				.from(SMTP_SERVER_FROM)
				.fromDisplayName(SMTP_SERVER_FROM_DISPLAY_NAME);
	}
}
